Index: conf/mount/mount_linux.c
--- conf/mount/mount_linux.c.orig	2005-10-06 20:37:49 +0200
+++ conf/mount/mount_linux.c	2005-10-11 08:34:46 +0200
@@ -49,7 +49,9 @@
 #endif /* HAVE_CONFIG_H */
 #include <am_defs.h>
 #include <amu.h>
-
+#ifndef NFS_MOUNT_VERSION
+#define NFS_MOUNT_VERSION 4
+#endif /* NFS_MOUNT_VERSION */
 
 #ifndef MOUNT_TYPE_UFS
 /*
Index: config.h.in
--- config.h.in.orig	2005-10-10 19:06:16 +0200
+++ config.h.in	2005-10-11 08:34:46 +0200
@@ -162,6 +162,9 @@
 /* Define to 1 if you have the <db1/ndbm.h> header file. */
 #undef HAVE_DB1_NDBM_H
 
+/* Define to 1 if you have the <gdbm/ndbm.h> header file. */
+#undef HAVE_GDBM_NDBM_H
+
 /* Define to 1 if you have the `dbm_open' function. */
 #undef HAVE_DBM_OPEN
 
@@ -730,6 +733,9 @@
 /* Define to 1 if you have the <nfs/nfs.h> header file. */
 #undef HAVE_NFS_NFS_H
 
+/* Define if you have the <nfsclient/nfs.h> header file. */
+#undef HAVE_NFSCLIENT_NFS_H
+
 /* Define to 1 if you have the <nfs/nfs_mount.h> header file. */
 #undef HAVE_NFS_NFS_MOUNT_H
 
Index: configure
--- configure.orig	2005-10-10 19:06:13 +0200
+++ configure	2005-10-11 08:36:26 +0200
@@ -20871,7 +20871,7 @@
 				;;
 		esac
 		;;
-	sunos[34]* | solaris1* | solaris2.[0-5] | sunos5.[0-5] | solaris2.5.* | sunos5.5.* )
+ 	sunos[34]* | solaris1* | solaris2.[0-5] | solaris2.[0-5].* | sunos5.[0-5] | sunos5.[0-5].* )
 		ac_cv_os_cflags="" ;;
 	solaris2* | sunos5* )
 		# turn on 64-bit file offset interface
@@ -25004,6 +25004,7 @@
 	nfs/export.h			\
 	nfs/mount.h			\
 	nfs/nfs.h			\
+	nfsclient/nfs.h			\
 	nfs/nfs_clnt.h			\
 	nfs/nfs_gfs.h			\
 	nfs/nfs_mount.h			\
@@ -26383,7 +26384,7 @@
 			ac_cv_nfs_prot_headers=sunos3 ;;
 	sunos4* | solaris1* )
 			ac_cv_nfs_prot_headers=sunos4 ;;
-	sunos5.[0-3] | solaris2.[0-3] )
+ 	sunos5.[0-3]* | solaris2.[0-3] | solaris2.[0-3].* )
 			ac_cv_nfs_prot_headers=sunos5_3 ;;
 	sunos5.4* | solaris2.4* )
 			ac_cv_nfs_prot_headers=sunos5_4 ;;
Index: hlfsd/stubs.c
--- hlfsd/stubs.c.orig	2005-09-30 04:48:42 +0200
+++ hlfsd/stubs.c	2005-10-11 08:34:46 +0200
@@ -142,7 +142,7 @@
     res.ns_u.ns_attr_u = rootfattr;
   } else if (eq_fh(argp, &slink)) {
 
-#ifndef MNT2_NFS_OPT_SYMTTL
+#if !defined(MNT2_NFS_OPT_SYMTTL) && !(defined(__FreeBSD__) || defined(__NetBSD__))
     /*
      * This code is needed to defeat Solaris 2.4's (and newer) symlink
      * values cache.  It forces the last-modified time of the symlink to be
@@ -249,7 +249,7 @@
     }
 
     if (STREQ(argp->da_name, slinkname)) {
-#ifndef MNT2_NFS_OPT_SYMTTL
+#if !defined(MNT2_NFS_OPT_SYMTTL) && !(defined(__FreeBSD__) || defined(__NetBSD__))
       /*
        * This code is needed to defeat Solaris 2.4's (and newer) symlink
        * values cache.  It forces the last-modified time of the symlink to be
